Bug 1333819 - python-gntp: Provide a Python 3 subpackage
Summary: python-gntp: Provide a Python 3 subpackage
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-gntp   
(Show other bugs)
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Conrad Meyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2016-05-06 13:23 UTC by Tomas Orsava
Modified: 2018-06-11 15:22 UTC (History)
4 users (show)

Fixed In Version: python-gntp-1.0.3-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-07 11:44:32 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add Python 3 & update version (3.17 KB, patch)
2016-07-22 09:05 UTC, Dominika Krejčí
no flags Details | Diff
add Python 3 & update version (3.93 KB, patch)
2016-08-08 09:42 UTC, Dominika Krejčí
no flags Details | Diff

Description Tomas Orsava 2016-05-06 13:23:56 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Dominika Krejčí 2016-06-06 13:25:05 UTC
Hello Conrad,

do you need any help adding Python 3 support to the RPM?

Comment 2 Dominika Krejčí 2016-07-22 09:05 UTC
Created attachment 1182750 [details]
add Python 3 & update version

Hi Conrad,
here is the change needed to add Python 3 support and update the version. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14978583

Also tested in Mock (fedora-23-x86_64, fedora-24-x86_64, fedora-rawhide-x86_64, fedora-rawhide-i386).

Comment 3 Jan Kurik 2016-07-26 04:31:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 4 Lumír Balhar 2016-08-02 09:42:54 UTC
Hello Dominika.

I've found some bugs in your patch:
- You should use %{name} and %{version} in source URL.
- This package is application with something in %{_bindir} so you should to rename this file after build in one version of Python and then make symlinks.
- You probably have typo in summary in subpackages - single 'm' in macro name.

Have a nice day.

Comment 5 Dominika Krejčí 2016-08-08 09:42 UTC
Created attachment 1188584 [details]
add Python 3 & update version

Hi Lumír,
there is a new patch.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15172297

Comment 6 Lumír Balhar 2016-08-08 19:13:09 UTC
Patch looks good to me now. Thank you.

Comment 7 Miro Hrončok 2016-08-16 10:55:20 UTC
Conrad,
do you mind if I push this? If you don't reply in a week, I assume it's OK.


Note You need to log in before you can comment on or make changes to this bug.